html{
    scroll-behavior: smooth;
}

/* Navigatsioon */

.navigatsioon {
    border-bottom: 2px;
    border-bottom-style: solid;
    background-color: white;
    border-color: black;
    text-align: center;
    vertical-align: baseline;
    word-spacing: 7.813vw;
    font-family: Arial, Helvetica, sans-serif;
}

a {
    font-weight: bold;
    color: black;
    text-decoration: none;
}

a:hover {
    color: #aaa;
}

li {
    display: inline;
}

/* Header */

/* Hero */

.hero {
    block-size: auto;
    text-align: center;
    background-image: url(../assets/hero.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 1250px;
}

.hero-container {
    display: flex;
    flex-direction: column;
}

.hero-img{
    background-image: url(../assets/hero.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 1750px;
    filter: blur(8px);
}

.hero-text {
    padding-top: 594px;
    color: white;
    font-family: Arial, Helvetica, sans-serif;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1;
    padd
}

/* Sissejuhatus */

#sissejuhatus{
    background-color: #F9FAFB;
    padding-top: 500px;
}

#sissejuhatus h3{
    font-size: 19px;
    color: #0A0A0A;
}

#sissejuhatus p{
    font-size: 15px;
    color: #4A5565;
}

#sissejuhatus-algus{
    text-align: center;
    padding-top: 80px;
    padding-bottom: 64px;
}

.container-sissejuhatus{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(16.6vw, 320px));
    justify-content: center;
    padding-left: 16.6%;
    padding-right: 16.6%;
    gap: 1.6%;
    padding-bottom: 80px;
}

.container-sissejuhatus div{
    text-align: center;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1em;
}

/* Soovitud reisid */

#sissejuhatus-soovitud{
    text-align: center;
    padding-bottom: 48px;
    padding-top: 80px;
}

#sissejuhatus-soovitud h3{
    font-size: 19px;
    color: #0A0A0A;
}

#sissejuhatus-soovitud p{
    font-size: 15px;
    color: #4A5565;
}

.container-soovitud{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(10.3125vw, 390px));
    gap: 1.25%;
    justify-content: center;
    padding-left: 18%;
    padding-right: 18%;
    text-align: center;
    font-size: 15px;
    padding-bottom: 80px;
}

.soovitud-gallerii img{
    width: 386px;
    height: 192px;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}

.soovitud-gallerii{
    border: 1px solid whitesmoke;
    box-shadow: 2px 2px whitesmoke;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    overflow: hidden;
    font-size: 15px;
    overflow: hidden;
    cursor: pointer;
    background: linear-gradient(145deg, white);
    border: 2px solid whitesmoke;
}

.soovitud-gallerii:hover{
    transform: scale(1.05) rotate(0deg);
    box-shadow: 0 0 15px gray;
}

.soovitud-kirjeldus{
    padding-top: 24px;
    padding-bottom: 24px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}

/* Reisid */

#reisid{
    background-color: #F9FAFB;
}

#reisid-sissejuhatus{
    text-align: center;
    padding-bottom: 48px;
    padding-top: 80px;
}

#reisid-sissejuhatus h3{
    font-size: 19px;
    color: #0A0A0A;
}

#reisid-sissejuhatus p{
    font-size: 15px;
    color: #4A5565;
}

.container-reisid{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(10.3125vw, 390px));
    gap: 1.25%;
    justify-content: center;
    padding-left: 18%;
    padding-right: 18%;
    text-align: center;
    font-size: 15px;
    padding-bottom: 80px;
}

.reisid-gallerii img{
    width: 386px;
    height: 192px;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}

.reisid-gallerii{
    background-color: #FFFFFF;
    border: 1px solid whitesmoke;
    box-shadow: 2px 2px whitesmoke;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
    overflow: hidden;
    cursor: pointer;
    background: linear-gradient(145deg, white);
    border: 2px solid whitesmoke;
}

.reisid-gallerii:hover{
    transform: scale(1.05) rotate(0deg);
    box-shadow: 0 0 15px gray;
}

.reisid-kirjeldus{
    padding-top: 24px;
    padding-bottom: 24px;
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}

/* Modal */

.modal{
    display: none;
    position: fixed;
    z-index: 1;
    backdrop-filter: blur(2px);
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    border-radius: 15px;
    max-width: 100%;
    max-height: 100%;
}

.modal-header{
  padding: 2px 16px;
  background-color: #101828;
  color: white;
}

.modal-body{
    padding: 2px 16px;
}

.modal-sisu{
  position: relative;
  background-color: #fefefe;
  margin: auto;
  padding: 0;
  border: 1px solid #888;
  width: 80%;
  box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
  animation-name: animatetop;
  animation-duration: 0.4s
}

.modal img{
    width: 100%;
    height: 100%;
    max-width: 386px;
    max-height: 193px;
    padding-top: 30px;
    padding-bottom: 30px;
}

.modal-img{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(10vw , 386px));
    gap: 5%;
    justify-content: center;
    text-align: center;
    padding-bottom: 30px;
}

@keyframes animatetop {
  from {top: -300px; opacity: 0}
  to {top: 0; opacity: 1}
}

.myBtn_multi{
    border: none;
    background-color: transparent;
    background-repeat: no-repeat;
    outline: none;
    overflow: hidden;
}

.close{
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover, .close:focus{
    color: black;
    text-decoration: none;
    cursor: pointer;
}


/* Footer */

footer{
    background-color: #101828;
}

footer h3{
    color: white;
}

footer p{
    color: #99A1AF;
}

.container-footer{
    display: grid;
    grid-template-columns: auto;
    text-align: center;
    padding-left: 16.6%;
    padding-right: 16.6%;
    padding-top: 48px;
}

#copyright{
    text-align: center;
    padding-bottom: 48px;
}